Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMElement.UnitContext

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMElement.UnitContext

All Implemented Interfaces:
  UnitProcessor.Context

Enclosing class:
  SVGOMElement

    protected class SVGOMElement.UnitContext

extends Object
implements UnitProcessor.Context

To resolve the units.

Constructor Summary
`protected` | `SVGOMElement.UnitContext()`

Method Summary
`Element` | `getElement()` Returns the element.
`float` | `getFontSize()` Returns the font-size value.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`float` | `getViewportHeight()` Returns the viewport height used to compute units.
`float` | `getViewportWidth()` Returns the viewport width used to compute units.
`float` | `getXHeight()` Returns the x-height value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMElement.UnitContext

    protected SVGOMElement.UnitContext()

Method Detail

### getElement

    public Element getElement()

  Returns the element.

  Specified by:
    `getElement` in interface `UnitProcessor.Context`

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

  Specified by:
    `getPixelUnitToMillimeter` in interface `UnitProcessor.Context`

### getPixelToMM

    public float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  Specified by:
    `getPixelToMM` in interface `UnitProcessor.Context`
  See Also:
    `getPixelUnitToMillimeter()`

### getFontSize

    public float getFontSize()

  Returns the font-size value.

  Specified by:
    `getFontSize` in interface `UnitProcessor.Context`

### getXHeight

    public float getXHeight()

  Returns the x-height value.

  Specified by:
    `getXHeight` in interface `UnitProcessor.Context`

### getViewportWidth

    public float getViewportWidth()

  Returns the viewport width used to compute units.

  Specified by:
    `getViewportWidth` in interface `UnitProcessor.Context`

### getViewportHeight

    public float getViewportHeight()

  Returns the viewport height used to compute units.

  Specified by:
    `getViewportHeight` in interface `UnitProcessor.Context`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.